Skip to main content
GET
/
api
/
workspaces
/
{id}
/
ai-config
Get the AI configuration for a workspace.
curl --request GET \
  --url https://api.rigbox.dev/api/workspaces/{id}/ai-config \
  --header 'Authorization: Bearer <token>'
{
  "mode": "managed",
  "model": "<string>",
  "provider": "google",
  "status": "managed_active",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workspace ID

Response

200 - application/json

Workspace AI configuration

mode
enum<string>
required
Available options:
managed,
byok
model
string
required
provider
enum<string>
required
Available options:
google,
openai,
anthropic
status
enum<string>
required
Available options:
managed_active,
byok_active,
invalid_missing_key
updated_at
string<date-time>
required